package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.WarehouseArea;

public class AutoProduction extends Entity{


	private String   procedure;//工位

	private Date   planDate;//计划日期
	/** 辅线台数 */
	private Double fxQty=0d;
	/** 计划台数 */
	private Double planQty=0d;
	
	/** 计划台数 */
	private Double sjQty=0d;
	/** 耗用台数 */
	private Double hyQty=0d;
	/** 收货仓库 */
	private WarehouseArea zone1;
	/** 状态 */
	private String status;
	/** 描述 */
	private String description;
	
	/** 创建人 */
	private String createBy;
	/** 创建时间 */
	private Date createDate;
	
	/** 审核时间 */
	private Date checkDate;
	/** 审核人 */
	private String checkBy;

	/** 生产顺序ids */
	private String scsx;
	
	
	public Double getSjQty() {
		return sjQty;
	}
	public void setSjQty(Double sjQty) {
		this.sjQty = sjQty;
	}
	public String getScsx() {
		return scsx;
	}
	public void setScsx(String scsx) {
		this.scsx = scsx;
	}
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getProcedure() {
		return procedure;
	}
	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}
	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}
	public Double getFxQty() {
		return fxQty;
	}
	public void setFxQty(Double fxQty) {
		this.fxQty = fxQty;
	}
	public Double getPlanQty() {
		return planQty;
	}
	public void setPlanQty(Double planQty) {
		this.planQty = planQty;
	}
	public Double getHyQty() {
		return hyQty;
	}
	public void setHyQty(Double hyQty) {
		this.hyQty = hyQty;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getCheckDate() {
		return checkDate;
	}
	public void setCheckDate(Date checkDate) {
		this.checkDate = checkDate;
	}
	public String getCheckBy() {
		return checkBy;
	}
	public void setCheckBy(String checkBy) {
		this.checkBy = checkBy;
	}
	
	
	
	
}
